Skip to main content
PUT
/
v2
/
offer
/
$
{publisherOfferId}
curl -X PUT \
  'https://api.appcharge.com/v2/offer/reward-calendar-1' \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'x-publisher-token: <x-publisher-token>' \
  -d '{
    "name": "Updated Weekly Reward Calendar",
    "type": "PopUp",
    "subType": "RewardCalendar",
    "active": true,
    "startOver": false,
    "rewardCalendar": {
      "resetBehavior": "ToCurrentWeekStart",
      "popupTrigger": "ShowOnBadgeClick",
      "rewardCollectionBehavior": "PlayerCanSkipCollection"
    }
  }'
{
  "offerId": "69fb22e6dd352b799c65e97f",
  "publisherOfferId": "reward-calendar-1",
  "name": "Updated Weekly Reward Calendar",
  "type": "PopUp",
  "subType": "RewardCalendar",
  "active": true,
  "priority": 1,
  "startOver": false,
  "rewardCalendar": {
    "resetBehavior": "ToCurrentWeekStart",
    "popupTrigger": "ShowOnBadgeClick",
    "rewardCollectionBehavior": "PlayerCanSkipCollection"
  },
  "offerUi": {
    "offerUiId": "69fb22e6dd352b799c65e97e",
    "active": true,
    "offerUiType": "PopUp",
    "offerUiSubType": "RewardCalendar",
    "name": "Weekly Reward Calendar Design",
    "externalId": "reward-calendar-design-1"
  },
  "productsSequence": [
    {
      "index": 1,
      "products": [
        {
          "publisherProductId": "coins",
          "quantity": 100,
          "priority": "Sub"
        }
      ],
      "priceInUsdCents": 0
    },
    {
      "index": 7,
      "products": [
        {
          "publisherProductId": "chest",
          "quantity": 1,
          "priority": "Main"
        }
      ],
      "priceInUsdCents": 0
    }
  ],
  "segments": [
    "New User"
  ],
  "createdAt": "2026-06-08T10:00:44.528Z",
  "updatedAt": "2026-06-08T10:15:44.528Z"
}
curl -X PUT \
  'https://api.appcharge.com/v2/offer/reward-calendar-1' \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'x-publisher-token: <x-publisher-token>' \
  -d '{
    "name": "Updated Weekly Reward Calendar",
    "type": "PopUp",
    "subType": "RewardCalendar",
    "active": true,
    "startOver": false,
    "rewardCalendar": {
      "resetBehavior": "ToCurrentWeekStart",
      "popupTrigger": "ShowOnBadgeClick",
      "rewardCollectionBehavior": "PlayerCanSkipCollection"
    }
  }'
{
  "offerId": "69fb22e6dd352b799c65e97f",
  "publisherOfferId": "reward-calendar-1",
  "name": "Updated Weekly Reward Calendar",
  "type": "PopUp",
  "subType": "RewardCalendar",
  "active": true,
  "priority": 1,
  "startOver": false,
  "rewardCalendar": {
    "resetBehavior": "ToCurrentWeekStart",
    "popupTrigger": "ShowOnBadgeClick",
    "rewardCollectionBehavior": "PlayerCanSkipCollection"
  },
  "offerUi": {
    "offerUiId": "69fb22e6dd352b799c65e97e",
    "active": true,
    "offerUiType": "PopUp",
    "offerUiSubType": "RewardCalendar",
    "name": "Weekly Reward Calendar Design",
    "externalId": "reward-calendar-design-1"
  },
  "productsSequence": [
    {
      "index": 1,
      "products": [
        {
          "publisherProductId": "coins",
          "quantity": 100,
          "priority": "Sub"
        }
      ],
      "priceInUsdCents": 0
    },
    {
      "index": 7,
      "products": [
        {
          "publisherProductId": "chest",
          "quantity": 1,
          "priority": "Main"
        }
      ],
      "priceInUsdCents": 0
    }
  ],
  "segments": [
    "New User"
  ],
  "createdAt": "2026-06-08T10:00:44.528Z",
  "updatedAt": "2026-06-08T10:15:44.528Z"
}

Headers

x-publisher-token
string
required

Publisher token used for authentication.

Path Parameters

publisherOfferId
string
required

Reward Calendar offer ID provided by the publisher. This is the offer's External ID value in the Publisher Dashboard.

Body

application/json
type
enum<string>
required

Offer type. For Reward Calendars, use PopUp.

Available options:
PopUp
Example:

"PopUp"

name
string

Reward Calendar offer name.

Example:

"Updated Weekly Reward Calendar"

subType
enum<string>

Popup offer subtype. For Reward Calendars, use RewardCalendar.

Available options:
RewardCalendar
Example:

"RewardCalendar"

active
boolean

Whether the Reward Calendar offer is active.

Example:

true

priority
integer

Display priority for eligible popup offers. Lower numbers appear first.

Required range: x >= 1
Example:

1

offerUiId
string

Internal ID of the Reward Calendar offer design.

Example:

"69fb22e6dd352b799c65e97e"

offerExternalUiId
string

External ID of the Reward Calendar offer design.

Example:

"reward-calendar-design-1"

startOver
boolean
default:true

Whether the Reward Calendar restarts from Week 1 after the player completes all configured weeks.

Example:

false

rewardCalendar
object

Information about the Reward Calendar behavior configuration.

productsSequence
object[]

A list of reward tiles. The array length must be a multiple of seven, with one to 10 configured weeks.

Required array length: 7 - 70 elements
segments
string[]

A list of segments eligible for this offer.

Example:
["New User"]

Response

Reward Calendar offer updated successfully.

publisherId
string

Internal publisher ID.

Example:

"69133d595af23405d88843a5"

publisherOfferId
string

Reward Calendar offer ID provided by the publisher. This is the offer's External ID value in the Publisher Dashboard.

Example:

"reward-calendar-1"

name
string

Reward Calendar offer name.

Example:

"Weekly Reward Calendar"

displayName
string

Reward Calendar offer display name.

Example:

"Weekly Reward Calendar"

type
enum<string>

Offer type. For Reward Calendars, use PopUp.

Available options:
PopUp
Example:

"PopUp"

subType
enum<string>

Popup offer subtype. For Reward Calendars, use RewardCalendar.

Available options:
RewardCalendar
Example:

"RewardCalendar"

active
boolean

Whether the Reward Calendar offer is active.

Example:

true

priority
integer

Display priority for eligible popup offers. Lower numbers appear first.

Required range: x >= 1
Example:

1

startOver
boolean

Whether the Reward Calendar restarts from Week 1 after the player completes all configured weeks.

Example:

true

rewardCalendar
object

Information about the Reward Calendar behavior configuration.

offerUi
object

Reward Calendar offer design details returned with the offer.

productsSequence
object[]

A list of reward tiles. The array length must be a multiple of seven, with one to 10 configured weeks.

Required array length: 7 - 70 elements
segments
string[]

A list of segments eligible for this offer.

Example:
["New User"]
badges
object[]

Badges attached to the offer.

offerId
string

Internal offer ID.

Example:

"69fb22e6dd352b799c65e97f"

createdAt
string<date-time>

Date the Reward Calendar offer was created.

Example:

"2026-06-11T05:09:03.575Z"

updatedAt
string<date-time>

Date the Reward Calendar offer was updated.

Example:

"2026-06-11T05:09:03.575Z"